function testHough
%image=rgb2gray(im2double(imread('rect.png')));
image=(im2double(imread('perla.tif')));
image=image(:,:,1);

rmax=norm(size(image));
%imshow(canny(a,1.5));
dim=100;	%size of discretized hough space
H=houghTransform(image, dim);

%rely on natural intelligence(tm) for isodata clustering:
%par=UIcluster(H,rmax,dim);
par=clusterHoughSpace(H, rmax, 0.25)    %perla: 0.86. rect: 0.5
T=H>(max(max(H))*0.25);
T=imdilate(T, strel('square', 3));

subplot(1,2,1), imshow(H.*T,[]);
subplot(1,2,2), imshow(image,[]);
hold on;

%obtain coordinates of corners
corners=sineToLineIntersection(par(:,1:4), size(image,2), size(image,1), dim)
corners=[corners(:,1:2), corners(:,4), corners(:,3)];
subplot(1,2,2), plotQuadragon(corners)

image=rgb2gray(im2double(imread('perla.tif')));
projection = myProjection (image, corners, size(image,1), floor(size(image,1)*sqrt(2)), 'linear');
subplot(1,2,1), imshow(projection);
